Bug 15035 - "the height of the bounding box around the content" is not precise enough. Does it include floats? Absolutely positioned elements? Fixed positioned elements? (If so, how.) Box shadows and other visual effects?
"the height of the bounding box around the content" is not precise enough. D...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-02 00:35 UTC by contributor
Modified: 2012-09-28 05:23 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2011-12-02 00:35:38 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/
Multipage: http://www.whatwg.org/C#the-iframe-element
Complete: http://www.whatwg.org/c#the-iframe-element

Comment:
"the height of the bounding box around the content" is not precise enough. 
Does it include floats?  Absolutely positioned elements?  Fixed positioned
elements?  (If so, how.)  Box shadows and other visual effects?

Posted from: 159.63.23.38
User agent: Mozilla/5.0 (X11; Linux x86_64; rv:11.0a1) Gecko/20100101 Firefox/11.0a1
Comment 1 L. David Baron (Mozilla) 2011-12-02 00:37:54 UTC
And, to be clear, I'm referring to this item within the definition of the seamless attribute on iframe:

 # In visual media, in a CSS-supporting user agent: the user agent should set
 # the intrinsic height of the iframe to the height of the bounding box around
 # the content rendered in the iframe at its current width (as given in the
 # previous bullet point), as it would be if the scrolling position was such
 # that the top of the viewport for the content rendered in the iframe was
 # aligned with the origin of that content's canvas.
Comment 2 Ian 'Hixie' Hickson 2011-12-07 23:24:28 UTC
It includes whatever would cause normal overflow for the purpose of rendering scrollbars. Any idea how to phrase that?
Comment 3 L. David Baron (Mozilla) 2011-12-08 00:10:45 UTC
Maybe something like:

In visual media, in a CSS-supporting user agent: the user agent should set the intrinsic height of the iframe to the smallest height that would make the content rendered in the iframe at its current width (as given in the previous bullet point) have no scrollable overflow at its bottom edge.  Scrollable overflow is any overflow that would increase the range to which a scrollbar or other scrolling mechanism can scroll.

(Should this text at some point be written so it works for vertical writing?)
Comment 4 contributor 2012-07-18 07:28:38 UTC
This bug was cloned to create bug 17983 as part of operation convergence.
Comment 5 contributor 2012-09-04 23:09:35 UTC
Checked in as WHATWG revision r7314.
Check-in comment: Try to clarify the 'bounding box' stuff for seamless.
http://html5.org/tools/web-apps-tracker?from=7313&to=7314
Comment 6 Silvia Pfeiffer 2012-09-28 05:23:57 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: applied patch
https://github.com/w3c/html/commit/2a58692a5177a3af99b9ecc43c6d05776fa3231d
Rationale: adopted resolution by WHATWG